Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.provider
Class MetaABMItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AInputItemProvider, AShapedItemProvider, IIDItemProvider, SImplementationItemProvider, TransientGroupedItemProvider

    public abstract class MetaABMItemProvider

extends org.eclipse.emf.edit.provider.ItemProviderAdapter
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.ITableItemLabelProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary
`protected static boolean` | `displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`MetaABMItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`java.lang.Object` | `getColumnImage(java.lang.Object object, int columnIndex)` This does the same thing as ITableLabelProvider.getColumnImage.
`java.lang.String` | `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` | `getCreateChildImage(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the icon image for `CreateChildCommand`.
`static java.util.Collection<?>` | `ids(java.util.Collection<?> ids)`
`static java.util.Collection<?>` | `idsCaps(java.util.Collection<?> ids)`
`static java.util.Collection<?>` | `inputVals(java.util.Collection<AInput> inputs)`
`boolean` | `isDisplayAttributeReferences()`
`static java.util.Collection<?>` | `labels(java.util.Collection<?> ids)`
`static MetaABMItemProvider` | `providerFor(java.lang.Object o)`
`void` | `setDisplayAttributeReferences(boolean _displayAttributeReferences)`
`java.lang.String` | `suggestID(IID object)`
`java.lang.String` | `suggestLabel(IID object)`
`static java.util.Collection<?>` | `texts(java.util.Collection<?> ids)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, getPropertyValue, getReferenceValue, getResourceLocator, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getText, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemLabelProvider
`getImage, getText`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor, getPropertyDescriptors`

Field Detail

### displayAttributeReferences

    protected static boolean displayAttributeReferences

Constructor Detail

### MetaABMItemProvider

    public MetaABMItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### suggestLabel

    public java.lang.String suggestLabel(IID object)

### suggestID

    public java.lang.String suggestID(IID object)

### isDisplayAttributeReferences

    public boolean isDisplayAttributeReferences()

### setDisplayAttributeReferences

    public void setDisplayAttributeReferences(boolean _displayAttributeReferences)

### labels

    public static java.util.Collection<?> labels(java.util.Collection<?> ids)

### texts

    public static java.util.Collection<?> texts(java.util.Collection<?> ids)

### providerFor

    public static MetaABMItemProvider providerFor(java.lang.Object o)

### inputVals

    public static java.util.Collection<?> inputVals(java.util.Collection<AInput> inputs)

### ids

    public static java.util.Collection<?> ids(java.util.Collection<?> ids)

### getCreateChildImage

    public java.lang.Object getCreateChildImage(java.lang.Object owner,
                                                java.lang.Object feature,
                                                java.lang.Object child,
                                                java.util.Collection<?> selection)

  This returns the icon image for `CreateChildCommand`.

  Specified by:
    `getCreateChildImage` in interface `org.eclipse.emf.edit.command.CreateChildCommand.Helper`
  Overrides:
    `getCreateChildImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getColumnImage

    public java.lang.Object getColumnImage(java.lang.Object object,
                                           int columnIndex)

  This does the same thing as ITableLabelProvider.getColumnImage.

  Specified by:
    `getColumnImage` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### idsCaps

    public static final java.util.Collection<?> idsCaps(java.util.Collection<?> ids)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD